Bug 1028883 - ParticipantPanel in business-central shows no participantUsers/participantGroups
ParticipantPanel in business-central shows no participantUsers/participantGroups
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Kris Verlaenen
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 01:27 EST by Toshiya Kobayashi
Modified: 2015-07-08 13:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ParticipantPanel.png (89.47 KB, image/png)
2013-11-11 01:38 EST, Toshiya Kobayashi
no flags Details

  None (edit)
Description Toshiya Kobayashi 2013-11-11 01:27:42 EST
Description of problem:

ParticipantPanel in business-central has blank participantUsers/participantGroups and "Assign" button is disabled. "ParticipantPanel" refers to "Task details" panel after choosing "Participants" dropdown (See attached ParticipantPanel.png) in "Groups Tasks" view.


Steps to Reproduce:
1. Create a Human Task which potential owner is a group (e.g. 'HR')
2. Login with a member of the group (e.g. 'mary')
3. The task shows up in "Groups Tasks" view
4. Click the task and choose "Participants" dropdown in "Task details" panel


Actual results:

Both 'Groups' and 'Users' are blank and "Assign" button is disabled.

Expected results:

'Groups' shows 'HR' and 'Users' shows members in 'HR' group. "Assign" button is enabled when one of the members is selected.

* I'm not sure what the exactly "Expected results" are. This requires developer's review.
Comment 1 Toshiya Kobayashi 2013-11-11 01:29:24 EST
Analysis:

1) Looking at ParticipantPanel.java, it depends on TaskRef.participantUsers/participantGroups.

https://github.com/bpmc/bpm-console/blob/2.3.x/gui/app-base/src/main/java/org/jboss/bpm/console/client/task/ParticipantPanel.java#L127

2) Looking at the bottom panel in business-central, I observed the REST call.

2013-11-07 10:40:53,821 [DEBUG] new subscription: appContext.model.listener -> org.jboss.bpm.console.client.task.OpenTasksView$7@120
2013-11-07 10:40:53,823 [DEBUG] New Subscription: appContext.model.listener
2013-11-07 10:40:54,337 [DEBUG] GET: http://localhost:8080/business-central-server/rs/tasks/mary/participation
2013-11-07 10:40:54,378 [DEBUG] parse {"tasks":[{"id":2,"processInstanceId":"2","processId":"defaultPackage.helloTask","name":"helloTask","assignee":"","isBlocking":false,"isSignalling":false,"outcomes":[],"currentState":"OPEN","participantUsers":[],"participantGroups":[],"url":"http://localhost:8080/business-central-server/rs/form/task/2/render","priority":0}]}
2013-11-07 10:40:54,380 [DEBUG] parse {"id":2, "processInstanceId":"2", "processId":"defaultPackage.helloTask", "name":"helloTask", "assignee":"", "isBlocking":false, "isSignalling":false, "outcomes":[], "currentState":"OPEN", "participantUsers":[], "participantGroups":[], "url":"http://localhost:8080/business-central-server/rs/form/task/2/render", "priority":0}
2013-11-07 10:40:54,388 [INFO ] Loaded 1 tasks

3) TaskListFacade.getTasksForIdRefParticipation() is responsible for the REST call.

4) Tasks are returned by TaskManagement.getUnassignedTasks() and transformed into TaskRef. But there is no chance to populate participantUsers/participantGroups so the task is returned with empty participantUsers/participantGroups.

https://github.com/droolsjbpm/jbpm/blob/5.2.x/jbpm-gwt/jbpm-gwt-core/src/main/java/org/jbpm/integration/console/TaskManagement.java#L151
Comment 2 Toshiya Kobayashi 2013-11-11 01:38:17 EST
Created attachment 822297 [details]
ParticipantPanel.png

Note You need to log in before you can comment on or make changes to this bug.